Linux jobworks 6.8.0-136-generic #136-Ubuntu SMP PREEMPT_DYNAMIC Wed Jul 1 21:53:05 UTC 2026 x86_64
Apache/2.4.58 (Ubuntu)
Server IP : 10.0.1.5 & Your IP : 216.73.217.52
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
share /
initramfs-tools /
hooks /
Delete
Unzip
Name
Size
Permission
Date
Action
amd64_microcode
3.77
KB
-rwxr-xr-x
2026-06-23 13:53
bcache
543
B
-rwxr-xr-x
2024-04-08 15:54
btrfs
701
B
-rwxr-xr-x
2024-03-31 08:43
cloud-initramfs-dyn-netconf
118
B
-rwxr-xr-x
2025-08-05 17:14
console_setup
3.07
KB
-rwxr-xr-x
2024-02-26 12:58
copymods
280
B
-rwxr-xr-x
2025-08-05 17:14
cryptgnupg
958
B
-rwxr-xr-x
2024-06-05 13:46
cryptgnupg-sc
2.4
KB
-rwxr-xr-x
2024-06-05 13:46
cryptkeyctl
457
B
-rwxr-xr-x
2024-06-05 13:46
cryptopensc
1.48
KB
-rwxr-xr-x
2024-06-05 13:46
cryptpassdev
888
B
-rwxr-xr-x
2024-06-05 13:46
cryptroot
15.63
KB
-rwxr-xr-x
2024-07-01 18:37
cryptroot-unlock
1010
B
-rwxr-xr-x
2024-06-05 13:46
dhcpcd
1.3
KB
-rwxr-xr-x
2025-02-07 09:55
dmsetup
506
B
-rwxr-xr-x
2024-06-05 11:14
fixrtc
436
B
-rwxr-xr-x
2025-02-07 09:55
framebuffer
386
B
-rwxr-xr-x
2025-02-07 09:55
fsck
2.06
KB
-rwxr-xr-x
2025-02-07 10:26
fuse
231
B
-rwxr-xr-x
2024-04-08 15:57
intel_microcode
4.73
KB
-rwxr-xr-x
2026-02-27 13:55
iscsi
672
B
-rwxr-xr-x
2025-06-04 12:20
kbd
301
B
-rwxr-xr-x
2024-02-27 09:52
klibc-utils
694
B
-rwxr-xr-x
2024-02-11 21:21
kmod
468
B
-rwxr-xr-x
2024-04-18 10:06
lvm2
661
B
-rwxr-xr-x
2024-07-01 18:44
mdadm
3.14
KB
-rwxr-xr-x
2024-07-29 08:06
ntfs_3g
304
B
-rwxr-xr-x
2026-07-11 15:55
overlayroot
688
B
-rwxr-xr-x
2025-08-05 17:14
plymouth
6.04
KB
-rwxr-xr-x
2025-02-25 05:47
resume
3.19
KB
-rwxr-xr-x
2025-02-07 09:55
sg3-utils
485
B
-rwxr-xr-x
2024-04-08 16:19
thermal
1.14
KB
-rwxr-xr-x
2025-01-08 10:19
thin-provisioning-tools
331
B
-rwxr-xr-x
2024-07-01 18:48
udev
2.59
KB
-rwxr-xr-x
2026-03-24 13:45
xfs
850
B
-rwxr-xr-x
2024-10-17 07:36
zz-busybox-initramfs
2.18
KB
-rwxr-xr-x
2024-08-13 13:42
Save
Rename
#!/bin/sh set -e OPTION=FRAMEBUFFER PREREQ="" prereqs() { echo "${PREREQ}" } case "${1}" in prereqs) prereqs exit 0 ;; esac . /usr/share/initramfs-tools/hook-functions THEME_PATH="$(update-alternatives --query default.plymouth 2>/dev/null | sed -e '/^Value:/!d' -e 's/^Value: \(.*\)/\1/')" THEME="$(basename ${THEME_PATH:-none} .plymouth || true)" THEMES="/usr/share/plymouth/themes" if [ -n "${THEME_PATH}" ]; then IMAGE_PATH=$(grep "ImageDir *= *" ${THEME_PATH} | sed 's/ImageDir *= *//') fi if [ -n "${IMAGE_PATH}" ] && [ "${THEME_PATH}" != "${IMAGE_PATH}" ]; then IMAGE_NAME="$(basename ${IMAGE_PATH:-none})" fi mkdir -p "${DESTDIR}/${THEMES}" if [ -n "${THEME}" ] && [ "${THEME}" != "none" ] then THEME_NAME="${THEME}" THEME="${THEMES}/${THEME}/${THEME}.plymouth" # create default theme symlink ln -s "${THEME}" "${DESTDIR}/${THEMES}/default.plymouth" fi PLUGIN_PATH="$(plymouth --get-splash-plugin-path)" # default text theme alternative TEXTTHEME_PATH="$(update-alternatives --query text.plymouth 2>/dev/null | sed -e '/^Value:/!d' -e 's/^Value: \(.*\)/\1/')" TEXTTHEME="$(basename ${TEXTTHEME_PATH:-none} .plymouth || true)" if [ -n "${TEXTTHEME}" ] & [ "${TEXTTHEME}" != "none" ] then TEXTTHEME_NAME="${TEXTTHEME}" TEXTTHEME="${THEMES}/${TEXTTHEME}/${TEXTTHEME}.plymouth" # create default text theme symlink ln -s "${TEXTTHEME}" "${DESTDIR}/${THEMES}/text.plymouth" fi # ensure we at least have one theme configured if [ ! -r "${THEME}" ] && [ ! -r "${TEXTTHEME}" ] then exit 0 fi # copy base themes content currthemes="${THEME_NAME} ${TEXTTHEME_NAME} ${IMAGE_NAME}" for currtheme in $currthemes do case "${currtheme}" in text|details|tribar|ubuntu-text) PLUGINS="text.so details.so" ;; *) PLUGINS="details.so label-pango.so" ;; esac MODULE="${PLUGIN_PATH}/$(sed -n 's/^ModuleName=\(.*\)/\1/p' ${THEMES}/${currtheme}/${currtheme}.plymouth 2>/dev/null || true).so" if [ ! -e "$MODULE" ] then echo "W: plymouth module ($MODULE) missing, skipping that theme." continue fi # copy plugin and images for current theme copy_exec "${MODULE}" cp -a "${THEMES}/${currtheme}" "${DESTDIR}/${THEMES}" # copy base plugins if any for PLUGIN in ${PLUGINS} do if [ -f ${PLUGIN_PATH}/${PLUGIN} ] then copy_exec ${PLUGIN_PATH}/${PLUGIN} else echo "W: plymouth: The plugin ${PLUGIN} is missing, the selected theme might not work as expected." echo "W: plymouth: You might want to install the plymouth-themes and plymouth-label package to fix this." fi done done # copy binaries and base plugins copy_exec /usr/bin/plymouth copy_exec /usr/sbin/plymouthd copy_exec /usr/libexec/plymouth/plymouthd-fd-escrow # copy base themes and logo cp -dRp "${THEMES}/details" "${DESTDIR}/${THEMES}" cp -dRp "${THEMES}/text" "${DESTDIR}/${THEMES}" if [ -f /etc/os-release ] then cp /etc/os-release "${DESTDIR}/etc" fi case "${THEME_NAME}" in ""|ubuntu-text|text|details) ;; *) if [ -d ${DESTDIR}/usr/share/plymouth/themes/spinner ]; then cp /usr/share/plymouth/themes/spinner/watermark.png "${DESTDIR}/usr/share/plymouth/themes/spinner/watermark.png" fi # fontconfig mkdir -p "${DESTDIR}/etc/fonts/conf.d" cp -dRp /etc/fonts/fonts.conf "${DESTDIR}/etc/fonts" mkdir -p "${DESTDIR}/var/cache/fontconfig" # This is only needed because fc-cache bellow fails if the directory doesn't exist mkdir -p "${DESTDIR}/usr/local/share/fonts" # Make Ubuntu the default sans-serif, and mono fonts. Ubuntu # font is always present if we have python-label installed; if # not installed, then we have no graphical themes that display # text, so that's ok. ubuntu_wght='/usr/share/fonts/truetype/ubuntu/Ubuntu[wdth,wght].ttf' ubuntu_wght_mono='/usr/share/fonts/truetype/ubuntu/UbuntuMono[wght].ttf' ubuntu_wght_monoitalic='/usr/share/fonts/truetype/ubuntu/UbuntuMono-Italic[wght].ttf' if [ -e "$ubuntu_wght" ]; then sed 's|\(<family>DejaVu Sans</family>\)|<family>Ubuntu</family>\1|;s|\(<family>DejaVu Sans Mono</family>\)|<family>Ubuntu Mono</family>\1|;' \ /etc/fonts/conf.d/60-latin.conf > "${DESTDIR}/etc/fonts/conf.d/60-latin.conf" mkdir -p "${DESTDIR}/usr/share/fonts/truetype/ubuntu" cp -a "$ubuntu_wght" "${DESTDIR}/usr/share/fonts/truetype/ubuntu" cp -a "$ubuntu_wght_mono" "${DESTDIR}/usr/share/fonts/truetype/ubuntu" cp -a "$ubuntu_wght_monoitalic" "${DESTDIR}/usr/share/fonts/truetype/ubuntu" elif [ -e /usr/share/fonts/truetype/ubuntu/Ubuntu-R.ttf ]; then sed 's|\(<family>DejaVu Sans</family>\)|<family>Ubuntu</family>\1|;s|\(<family>DejaVu Sans Mono</family>\)|<family>Ubuntu Mono</family>\1|;' \ /etc/fonts/conf.d/60-latin.conf > "${DESTDIR}/etc/fonts/conf.d/60-latin.conf" mkdir -p "${DESTDIR}/usr/share/fonts/truetype/ubuntu" cp -a /usr/share/fonts/truetype/ubuntu/Ubuntu-R.ttf "${DESTDIR}/usr/share/fonts/truetype/ubuntu" cp -a /usr/share/fonts/truetype/ubuntu/UbuntuMono-R.ttf "${DESTDIR}/usr/share/fonts/truetype/ubuntu" fi fc-cache -s -y "${DESTDIR}" > /dev/null 2>&1 # copy /etc/default/keyboard (needed for keymap detection) if [ -e /etc/default/keyboard ] then mkdir -p "${DESTDIR}/etc/default" cp /etc/default/keyboard "${DESTDIR}/etc/default" fi ;; esac # copy renderers copy_exec /usr/lib/x86_64-linux-gnu/plymouth/renderers/frame-buffer.so copy_exec /usr/lib/x86_64-linux-gnu/plymouth/renderers/drm.so # copy config files mkdir -p "${DESTDIR}/etc/plymouth" if [ -r /etc/plymouth/plymouthd.conf ] then cp -dRp /etc/plymouth/plymouthd.conf "${DESTDIR}/etc/plymouth/" fi # copy defaults file if exist if [ -r /usr/share/plymouth/plymouthd.defaults ] then cp -dRp /usr/share/plymouth/plymouthd.defaults "${DESTDIR}/usr/share/plymouth/" fi # temporarily include dummy root account lookup (#691598) if ! grep -qs '^root:' "${DESTDIR}/etc/passwd" then echo "root:x:0:0:root:/root:/bin/sh" >> "${DESTDIR}/etc/passwd" fi if ! grep -qs '^passwd: files' "${DESTDIR}/etc/nsswitch.conf" then echo "passwd: files" >> "${DESTDIR}/etc/nsswitch.conf" fi for _LIBRARY in /lib/x86_64-linux-gnu/libnss_files* do if [ -e "${_LIBRARY}" ] then copy_exec "${_LIBRARY}" fi done